import { Animated, GestureResponderEvent, PanResponderGestureState } from 'react-native';
import { Vec2D } from './types';
export declare function calcGestureTouchDistance(e: GestureResponderEvent, gestureState: PanResponderGestureState): number | null;
export declare function calcNewScaledOffsetForZoomCentering(oldOffsetXOrYScaled: number, zoomSubjectOriginalWidthOrHeight: number, oldScale: number, newScale: number, zoomCenterXOrY: number): number;
export declare function applyPanBoundariesToOffset(offsetScaled: number, containerSize: number, contentSize: number, scale: number, boundaryPadding: number): number;
export declare function getBoundaryCrossedAnim(animValue: Animated.Value, toValue: number): any;
export declare function getPanMomentumDecayAnim(animValue: Animated.Value | Animated.ValueXY, velocity: number | Vec2D): any;
export declare function getZoomToAnimation(animValue: Animated.Value, toValue: number): any;
